#pragma once
#include <string>

#define CDATEEXPORT __declspec(dllexport)

class CDATEEXPORT CivDate
{
private:
    int year;
    int month;
    int day;
    int YearNL[12] = { 31,28,31,30,31,30,31,31,30,31,30,31 };
    int YearL[12] = { 31,29,31,30,31,30,31,31,30,31,30,31 };
    char flagleap = 'n';

public:
    CivDate();
    void setDate(int year, int month, int day);
    void addDate();
    std::string getDate();
};

